package com.pcloud.book.book.dao;

import com.pcloud.book.book.entity.SearchRecordDis;
import com.pcloud.common.core.dao.BaseDao;

/**
 * 用户搜索记录（内容去重）(SearchRecordDisSale)表数据库访问层
 *
 * @author makejava
 * @since 2020-10-12 16:24:41
 */
public interface SearchRecordDisSaleDao extends BaseDao<SearchRecordDis> {

    SearchRecordDis getByCondition(Long wechatUserId, String wxId, String content);

    void updateUserDeleteByWxId(String wxId, Boolean userDelete);

    void updateUserDeleteByWechatUserId(Long wechatUserId, Boolean userDelete);

}